#include "UserInterface.h"
#include <wx/uilocale.h>

class RelayFileApp : public wxApp
{
public:
    bool OnInit() override
    {
        SetProcessDPIAware();
        loadLocale();
        f_ = new UserInterface(_("RelayFile"));
        f_->Show();
        return true;
    }

private:
    void loadLocale()
    {
        auto* locale = new wxLocale(wxLANGUAGE_CHINESE_SIMPLIFIED);
        locale->AddCatalogLookupPathPrefix(wxT("."));
        locale->AddCatalog(wxT("internat"));
    }

private:
    UserInterface* f_;
};

IMPLEMENT_APP(RelayFileApp);
DECLARE_APP(RelayFileApp);